%define upstream_name    Dist-Zilla-PluginBundle-IDOPEREL
%define upstream_version 1.000000

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    IDOPEREL's plugin bundle for Dist::Zilla
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Plugin::AutoPrereqs)
BuildRequires: perl(Dist::Zilla::Plugin::CheckChangesHasContent)
BuildRequires: perl(Dist::Zilla::Plugin::Encoding)
BuildRequires: perl(Dist::Zilla::Plugin::GitHub::Meta)
BuildRequires: perl(Dist::Zilla::Plugin::InstallGuide)
BuildRequires: perl(Dist::Zilla::Plugin::MetaJSON)
BuildRequires: perl(Dist::Zilla::Plugin::MinimumPerl)
BuildRequires: perl(Dist::Zilla::Plugin::NextRelease)
BuildRequires: perl(Dist::Zilla::Plugin::Prereqs)
BuildRequires: perl(Dist::Zilla::Plugin::ReadmeFromPod)
BuildRequires: perl(Dist::Zilla::Plugin::Signature)
BuildRequires: perl(Dist::Zilla::Plugin::Test::DistManifest)
BuildRequires: perl(Dist::Zilla::Plugin::TestRelease)
BuildRequires: perl(Dist::Zilla::Plugin::VersionFromModule)
BuildRequires: perl(Dist::Zilla::PluginBundle::Basic)
BuildRequires: perl(Dist::Zilla::PluginBundle::Filter)
BuildRequires: perl(Dist::Zilla::PluginBundle::Git)
BuildRequires: perl(Dist::Zilla::Role::MintingProfile::ShareDir)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::ShareDir::Install) >= 0.30.0
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::autoclean)
BuildArch:  noarch

%description
This module is a bundle of plugins for the Dist::Zilla manpage that is
regularly used by me (Ido Perlmuter). If you find it suits your needs, feel
free to install and use it.

This bundle provides the following plugins and bundles:

	[@Filter]
	-bundle = @Classic
	-remove = Readme

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.0.0-5.mga6
+ Revision: 1025997
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 1.0.0-4.mga6
+ Revision: 941818
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-3.mga5
+ Revision: 744181
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-2.mga5
+ Revision: 684570
- Mageia 5 Mass Rebuild

* Fri Feb 28 2014 jquelin <jquelin> 1.0.0-1.mga5
+ Revision: 597855
- update to 1.000000

* Fri Oct 18 2013 umeabot <umeabot> 0.701.0-3.mga4
+ Revision: 511321
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.701.0-2.mga3
+ Revision: 366659
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + jquelin <jquelin>
    - update to 0.701

* Mon Apr 04 2011 jquelin <jquelin> 0.700.0-1.mga1
+ Revision: 80359
- update to 0.700

* Thu Mar 24 2011 jquelin <jquelin> 0.600.4-1.mga1
+ Revision: 76611
- update to v0.600.4

* Wed Mar 16 2011 jquelin <jquelin> 0.500.0-1.mga1
+ Revision: 72448
- update to 0.5

* Wed Mar 02 2011 jquelin <jquelin> 0.400.0-1.mga1
+ Revision: 62635
- update to 0.4

* Wed Jan 26 2011 jquelin <jquelin> 0.100.0-1.mga1
+ Revision: 41087
- mageia rebuild
- imported package perl-Dist-Zilla-PluginBundle-IDOPEREL

